<div>
  <h2 id="page-heading" data-cy="AtividadeHeading">
    <span jhiTranslate="matrixApp.atividade.home.title">Atividades</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="matrixApp.atividade.home.refreshListLabel">Atualizar lista</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-atividade"
        [routerLink]="['/atividade/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="matrixApp.atividade.home.createLabel">Criar novo Atividade</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="atividades?.length === 0">
    <span jhiTranslate="matrixApp.atividade.home.notFound">Nenhum Atividade encontrado</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="atividades && atividades.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.atividade.id">Id</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="nome">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.atividade.nome">Nome</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="papel.id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.atividade.papel">Papel</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="unidade.id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.atividade.unidade">Unidade</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let atividade of atividades; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/atividade', atividade.id, 'view']">{{ atividade.id }}</a>
          </td>
          <td>{{ atividade.nome }}</td>
          <td>
            <div *ngIf="atividade.papel">
              <a [routerLink]="['/papel', atividade.papel.id, 'view']">{{ atividade.papel.id }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="atividade.unidade">
              <a [routerLink]="['/unidade', atividade.unidade.id, 'view']">{{ atividade.unidade.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/atividade', atividade.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Visualizar</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/atividade', atividade.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editar</span>
              </button>

              <button type="submit" (click)="delete(atividade)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Excluir</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
